This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 504735 - reflect IME toolbar UI in systray applet menu
reflect IME toolbar UI in systray applet menu
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-08 23:15 EDT by Jens Petersen
Modified: 2010-02-18 10:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-18 10:27:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch for ibus setup.ui, languagebar.py (4.59 KB, patch)
2010-01-04 04:29 EST, fujiwara
no flags Details | Diff
Patch for ibus setup.ui, languagebar.py, panel.py (6.53 KB, patch)
2010-01-18 05:13 EST, fujiwara
no flags Details | Diff
Patch for ibus setup.ui, languagebar.py, panel.py (7.86 KB, patch)
2010-01-19 00:14 EST, fujiwara
no flags Details | Diff
Patch for ibus setup.ui, languagebar.py, panel.py (7.71 KB, patch)
2010-01-19 01:51 EST, fujiwara
no flags Details | Diff

  None (edit)
Description Jens Petersen 2009-06-08 23:15:30 EDT
Description of problem:
For users with the toolbar disabled it would be nice to be able to access/see the toolbar UI through the systray menu if possible.
Comment 1 Bug Zapper 2009-06-09 13:14:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jens Petersen 2009-07-14 19:26:33 EDT
moving back to rawhide
Comment 3 Bug Zapper 2009-11-16 05:02:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 fujiwara 2010-01-04 04:29:16 EST
Created attachment 381510 [details]
Patch for ibus setup.ui, languagebar.py

This is a first idea for the embedded languagebar.
Comment 5 Peng Huang 2010-01-08 00:34:20 EST
I tested it. It looks OK in gnome, but it does not work in KDE 4.3.90.
Comment 6 fujiwara 2010-01-08 03:42:16 EST
(In reply to comment #5)
> I tested it. It looks OK in gnome, but it does not work in KDE 4.3.90.  

Thanks for your review.


I thought embedded languagebar is nice but in fact the bug reporter means to show the contents of languagebar in menu of ibus status icon on panel systray.

I'll revise the patch next week.
Comment 7 fujiwara 2010-01-18 05:13:23 EST
Created attachment 385040 [details]
Patch for ibus setup.ui, languagebar.py, panel.py

Revised the patch to show languagebar menus in status icon menu.
Comment 8 fujiwara 2010-01-19 00:14:14 EST
Created attachment 385313 [details]
Patch for ibus setup.ui, languagebar.py, panel.py

Revised for RadioMenuItem() typo and the implementation of update_property().
Comment 9 fujiwara 2010-01-19 01:51:18 EST
Created attachment 385323 [details]
Patch for ibus setup.ui, languagebar.py, panel.py

Revised the patch:
 - Fixed "About - %s"
 - Fixed import SeparatorMenuItem
Comment 10 Peng Huang 2010-01-19 03:13:23 EST
(In reply to comment #9)
> Created an attachment (id=385323) [details]
> Patch for ibus setup.ui, languagebar.py, panel.py
> 
> Revised the patch:
>  - Fixed "About - %s"
>  - Fixed import SeparatorMenuItem

Applied this patch in upstream. And I will built it soon.
Comment 11 fujiwara 2010-01-19 05:31:08 EST
Thanks for the integration.
Just now I think the bottom panel appearance, which is the default in KDE.
http://fujiwara.fedorapeople.org/ibus/20100119/ibus-504735-bottom-menu.diff
Comment 12 Peng Huang 2010-01-25 03:34:51 EST
(In reply to comment #11)
> Thanks for the integration.
> Just now I think the bottom panel appearance, which is the default in KDE.
> http://fujiwara.fedorapeople.org/ibus/20100119/ibus-504735-bottom-menu.diff    

I think it is not necessary.
Comment 13 fujiwara 2010-01-25 22:39:58 EST
The previous patch included a bug fix so I removed the bottom menu item feature.

The commit includes the bug fix only:
http://github.com/fujiwarat/ibus/commit/59b2900f7336082b5690db4195e939b99a009a1f
Comment 14 Peng Huang 2010-02-18 10:27:18 EST
Built it for rawhide. http://koji.fedoraproject.org/koji/buildinfo?buildID=154049

Note You need to log in before you can comment on or make changes to this bug.